<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>
<xsl:include href="service-params.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">

<xsl:variable name="clusterName"><xsl:value-of select="request/@action"/></xsl:variable>
<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">
<center>
<xsl:call-template name="clusterPageBanner">
<xsl:with-param name="clusterName" select="$clusterName"/>
</xsl:call-template>
<xsl:apply-templates select="service">
<xsl:with-param name="clusterName" select="$clusterName"/>
</xsl:apply-templates>
<xsl:apply-templates select="response">
<xsl:with-param name="clusterName" select="$clusterName"/>
</xsl:apply-templates>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>

<xsl:template match="service">
<xsl:param name="clusterName">cluster-name</xsl:param>
<xsl:variable name='library' select='../config/library_name'/>
<xsl:variable name='subaction' select="../request/@subaction"/>
<xsl:variable name='lang' select="../request/@lang"/>
<h3><xsl:value-of select="display/name"/></h3><p/>
<form name="BuildForm" method="get" action="/gsdl3/{$library}">
<xsl:apply-templates select="paramList"/>
<input type="hidden" name="a" value="{$clusterName}"/>
<input type="hidden" name="sa" value="{$subaction}"/>
<input type="hidden" name='l' value='{$lang}'/>
<input type="submit"><xsl:attribute name="value"><xsl:value-of select='display/submit'/></xsl:attribute></input>
</form>
<xsl:call-template name="greenBar"/>
</xsl:template>

<xsl:template match="paramList">
<p/><table width="537">
<xsl:for-each select="param">
<tr><xsl:apply-templates select='.'/></tr>
</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="response">
<xsl:param name="clusterName">cluster-name</xsl:param>
<p/><xsl:value-of select="status"/>
<xsl:call-template name="greenBar"/>
</xsl:template>


</xsl:stylesheet>  
